<?php
/**
 * Capiton theme functions
 */

// Emable The custom Menu
register_nav_menu( 'primary', __( 'Primary Menu', 'capiton' ) );

// Enable Translation
load_theme_textdomain( 'themefurnace', TEMPLATEPATH.'/languages' );

// Enable the Theme Options - Thanks UpThemes :)
require_once('admin/admin.php'); 

// Style the Tag Cloud
function custom_tag_cloud_widget($args) {
	$args['largest'] = 12; //largest tag
	$args['smallest'] = 12; //smallest tag
	$args['unit'] = 'px'; //tag font unit
	$args['number'] = '8'; //number of tags
	return $args;
}
add_filter( 'widget_tag_cloud_args', 'custom_tag_cloud_widget' );

/**
 * Replaces "[...]" (appended to automatically generated excerpts) with an ellipsis) and sets character length to 35
 */
function wp_new_excerpt($text)
{
	if ($text == '')
	{
		$text = get_the_content('');
		$text = strip_shortcodes( $text );
		$text = apply_filters('the_content', $text);
		$text = str_replace(']]>', ']]>', $text);
		$text = strip_tags($text);
		$text = nl2br($text);
		$excerpt_length = apply_filters('excerpt_length', 25);
		$words = explode(' ', $text, $excerpt_length + 1);
		if (count($words) > $excerpt_length) {
			array_pop($words);
			array_push($words, '');
			$text = implode(' ', $words);
		}
	}
	return $text;
}
remove_filter('get_the_excerpt', 'wp_trim_excerpt');
add_filter('get_the_excerpt', 'wp_new_excerpt');


// Add the Style Dropdown Menu to the second row of visual editor buttons
function my_mce_buttons_2($buttons)
{
	array_unshift($buttons, 'styleselect');
	return $buttons;
}
add_filter('mce_buttons_2', 'my_mce_buttons_2');
function my_mce_before_init($init_array)
	{
		// Now we add classes with title and separate them with;
	$init_array['theme_advanced_styles'] = "Black Button=button black;Gray Button=button gray;White Button=button white;Orange Button=button orange;Red Button=button red;Blue Button=button blue;Rosy Button=button rosy;Green Button=button green;Pink Button=button pink";
	return $init_array;
}

add_filter('tiny_mce_before_init', 'my_mce_before_init');


/**
 * Get our wp_nav_menu() fallback, wp_page_menu(), to show a home link.
 */
function capiton_page_menu_args( $args ) {
	$args['show_home'] = true;
	return $args;
}
add_filter( 'wp_page_menu_args', 'capiton_page_menu_args' );

/**
 * Register our sidebars and widgetized areas. 
 *
 */
function themefurnace_widgets_init() {


	register_sidebar(array(
		'name' => 'Footer 1',
		'before_widget' => '<div class="footerwidget">',
		'after_widget' => '</div>',
		'before_title' => '<h4 class="foothead">',
		'after_title' => '</h4>',
	));
	register_sidebar(array(
		'name' => 'Footer 2',
		'before_widget' => '<div class="footerwidget">',
		'after_widget' => '</div>',
		'before_title' => '<h4 class="foothead">',
		'after_title' => '</h4>',
	));
	register_sidebar(array(
		'name' => 'Footer 3',
		'before_widget' => '<div class="footerwidget">',
		'after_widget' => '</div>',
		'before_title' => '<h4 class="foothead">',
		'after_title' => '</h4>',
	));
	register_sidebar(array(
		'name' => 'Footer 4',
		'before_widget' => '<div class="footerwidget">',
		'after_widget' => '</div>',
		'before_title' => '<h4 class="foothead">',
		'after_title' => '</h4>',
	));
	register_sidebar(array(
		'name' => 'Blog',
		'before_widget' => '<div class="sidebarwidget">',
		'after_widget' => '</div>',
		'before_title' => '<h4 class="sidehead">',
		'after_title' => '</h4>',
	));
	register_sidebar(array(
		'name' => 'Page',
		'before_widget' => '<div class="sidebarwidget">',
		'after_widget' => '</div>',
		'before_title' => '<h4 class="sidehead">',
		'after_title' => '</h4>',
	));
	
	register_sidebar(array(
		'name' => 'Banner',
		'before_widget' => '<div class="topwidget">',
		'after_widget' => '</div>',
		'before_title' => '',
		'after_title' => '',
	));
	register_sidebar(array(
		'name' => 'Front Page Feature 1',
		'before_widget' => '<div class="feature">',
		'after_widget' => '</div>',
		'before_title' => '<h2 class="intro">',
		'after_title' => '</h2>',
	));
	
	register_sidebar(array(
		'name' => 'Front Page Feature 2',
		'before_widget' => '<div class="feature">',
		'after_widget' => '</div>',
		'before_title' => '<h2 class="intro">',
		'after_title' => '</h2>',
	));
	
	register_sidebar(array(
		'name' => 'Front Page Feature 3',
		'before_widget' => '<div class="feature">',
		'after_widget' => '</div>',
		'before_title' => '<h2 class="intro">',
		'after_title' => '</h2>',
	));
	
	register_sidebar(array(
		'name' => 'Front Page Feature 4',
		'before_widget' => '<div class="feature">',
		'after_widget' => '</div>',
		'before_title' => '<h2 class="intro">',
		'after_title' => '</h2>',
	));
	
	
}
add_action( 'widgets_init', 'themefurnace_widgets_init' );

/**
 * Thanks to Kriesi for Pagination code - http://www.kriesi.at/archives/how-to-build-a-wordpress-post-pagination-without-plugin
 */

function themefurnace_pagination($pages = '', $range = 2)
{  
     $showitems = ($range * 2)+1;  

     global $paged;
     if(empty($paged)) $paged = 1;

     if($pages == '')
     {
         global $wp_query;
         $pages = $wp_query->max_num_pages;
         if(!$pages)
         {
             $pages = 1;
         }
     }   

     if(1 != $pages)
     {
         echo "<div class='pagination'>";
         if($paged > 2 && $paged > $range+1 && $showitems < $pages) echo "<a href='".get_pagenum_link(1)."'>&laquo;</a>";
         if($paged > 1 && $showitems < $pages) echo "<a href='".get_pagenum_link($paged - 1)."'>&lsaquo;</a>";

         for ($i=1; $i <= $pages; $i++)
         {
             if (1 != $pages &&( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems ))
             {
                 echo ($paged == $i)? "<span class='current'>".$i."</span>":"<a href='".get_pagenum_link($i)."' class='inactive' >".$i."</a>";
             }
         }

         if ($paged < $pages && $showitems < $pages) echo "<a href='".get_pagenum_link($paged + 1)."'>&rsaquo;</a>";  
         if ($paged < $pages-1 &&  $paged+$range-1 < $pages && $showitems < $pages) echo "<a href='".get_pagenum_link($pages)."'>&raquo;</a>";
         echo "</div>\n";
     }
}

/**
 * Custom Widgets
 */

include("widgets/tabber.php");
include('widgets/socialmedia_widget.php'); 
include('widgets/feature-widget.php');

/**
 * Loading jQuery and tabs.js
 */
 
function loading_jquery() {
    wp_deregister_script( 'jquery' );
	wp_deregister_script( 'comment-reply' );
    wp_register_script( 'jquery', 'https://ajax.googleapis.com/ajax/libs/jquery/1.6.4/jquery.min.js');
    wp_enqueue_script( 'jquery' );
	wp_register_script( 'ie', get_template_directory_uri() . '/js/ie.js');
	wp_enqueue_script( 'ie' );

}     
 
add_action('wp_enqueue_scripts', 'loading_jquery');


function loading_tabs() {
   // register your script location, dependencies and version
   wp_register_script('custom_script',
       get_template_directory_uri() . '/js/tabs.js',
       array('jquery'),
       '1.0' );
   // enqueue the script
   wp_enqueue_script('custom_script');
}
add_action('wp_enqueue_scripts', 'loading_tabs');


/**
 * Template for comments and pingbacks.
 *
 * To override this walker in a child theme without modifying the comments template
 * simply create your own capiton_comment(), and that function will be used instead.
 *
 * Used as a callback by wp_list_comments() for displaying the comments.
 *
 */
 if ( ! function_exists( 'capiton_comment' ) ) :
 
function capiton_comment( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment;
	switch ( $comment->comment_type ) :
		case '' :
	?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
		<div id="comment-<?php comment_ID(); ?>">
		<div class="comment-author vcard">
			<?php echo get_avatar( $comment, 45 ); ?>
			<?php printf( __( get_comment_author_link() ) ); ?>
		</div><!-- .comment-author .vcard -->
		<?php if ( $comment->comment_approved == '0' ) : ?>
			<em><?php _e( 'Your comment is awaiting moderation.', 'capiton' ); ?></em>
			<br />
		<?php endif; ?>

		<div class="comment-meta commentmetadata"><a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>">
			<?php
				/* translators: 1: date, 2: time */
				printf( __( '%1$s at %2$s', 'capiton' ), get_comment_date(),  get_comment_time() ); ?></a><?php edit_comment_link( __( '(Edit)', 'capiton' ), ' ' );
			?>
		</div><!-- .comment-meta .commentmetadata -->

		<div class="comment-body"><?php comment_text(); ?></div>

		<div class="reply">
			<?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
		</div><!-- .reply -->
	</div><!-- #comment-##  -->

	<?php
			break;
		case 'pingback'  :
		case 'trackback' :
	?>
	<li class="post pingback">
		<p><?php _e( 'Pingback:', 'capiton' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( __('(Edit)', 'capiton'), ' ' ); ?></p>
	<?php
			break;
	endswitch;
}
endif;
array(
	'author' => '<p class="comment-form-author">...',
	'email'  => '<p class="comment-form-email">...',
	'url'    => '<p class="comment-form-url">...'
);
	// This theme uses Featured Images (also known as post thumbnails) for per-post/per-page Custom Header images
	add_theme_support( 'post-thumbnails' );
	
	//This feature enables post and comment RSS feed links to head. 
	add_theme_support( 'automatic-feed-links' );
	
	//This feature enables post and comment RSS feed links to head. 
	add_custom_background();
	
	//Content Width
	if ( ! isset( $content_width ) ) $content_width = 960;

// post thumbnail support

	if ( function_exists( 'add_image_size' ) ) add_theme_support( 'post-thumbnails' );
	if ( function_exists( 'add_image_size' ) ) { 
	add_image_size( 'post-thumb', 605, 160, true );
	add_image_size( 'small-thumb', 45, 45, true );
	add_image_size( 'home-thumb', 288, 159, true );
}

// Custom Functions for Theme Options Panel

function custom_logo() {
	global $up_options;
	// if there is text defined (instead of logo), display it
	if(!empty($up_options->logo_text) && $up_options->logo_type == 'text') {
		echo '<h1 id="logo_text">'.$up_options->logo_text.'</h1>';
		return;
	}
	// display custom logo (if defined) or default logo
	else {
		$logo_img = $up_options->logo;
		if(empty($logo_img)) { 
			$logo_img = get_template_directory_uri().'/img/logo.png';
		}
		echo '<img src="'.$logo_img.'" class="logo" alt="logo"/>';					
	}
}

function custom_footer_logo() {
	global $up_options;
	
	// display custom logo (if defined) or default logo
	$logo_img = $up_options->footerLogo;
	if(empty($logo_img)) { 
		$logo_img = get_template_directory_uri().'/img/logo-footer.png';
	}
	echo '<img src="'.$logo_img.'" class="footerlogo" alt="footer logo"/>';
	
}

function custom_intro_text() {
	global $up_options;
	// if there is text defined , display it
	if(!empty($up_options->intro_text)) {
		echo nl2br($up_options->intro_text);
		return;
	}
}

function custom_footer_text() {
	global $up_options;
	// if there is text defined , display it
	if(!empty($up_options->footer_text)) {
		echo nl2br($up_options->footer_text);
		return;
	}
}

function custom_footer_scripts() {
	global $up_options;
	// if there are scripts defined , display them
	if(!empty($up_options->footer_scripts)) {
		echo nl2br($up_options->footer_scripts);
		return;
	}
}

function custom_blog_items() {
	global $up_options;
	if(!empty($up_options->blog_items))
		return query_posts('showposts='.(int)$up_options->blog_items);
	else 
		return query_posts('showposts=4');
}

function custom_portfolio_items() {
	global $up_options;
	if(!empty($up_options->portfolio_items))
		return query_posts( 'post_type=portfolio&showposts='.(int)$up_options->portfolio_items);
	else 
		return query_posts( 'post_type=portfolio');
}

function custom_theme_css() {
	global $up_options;
	
	if(!empty($up_options->styles)) {
		echo '<link rel="stylesheet" type="text/css" href="'.get_template_directory_uri().'/css/'.$up_options->styles.'.css"/>';
	}
}


/**
 * Flex Slider
 */

wp_enqueue_script('flexslider', get_template_directory_uri().'/js/flexslider/jquery.flexslider-min.js', array('jquery'));  
wp_enqueue_style('flexslider_css', get_template_directory_uri().'/js/flexslider/flexslider.css');  

function fs_script() {
    global $up_options;
    echo '<script type="text/javascript" charset="utf-8"> 
      jQuery(window).load(function() { 
        jQuery(\'.flexslider\').flexslider({
            animation: "'.$up_options->nivo_settings_effect.'",              //String: Select your animation type, "fade" or "slide"
            slideDirection: "'.$up_options->nivo_settings_slideDirection.'",   //String: Select the sliding direction, "horizontal" or "vertical"
            slideshow: '.$up_options->nivo_settings_manualAdvance.',   //Boolean: Animate slider automatically
            slideshowSpeed: '.$up_options->nivo_settings_pauseTime.',   //Integer: Set the speed of the slideshow cycling, in milliseconds
            animationDuration: '.$up_options->nivo_settings_animSpeed.',   //Integer: Set the speed of animations, in milliseconds
            directionNav: '.$up_options->nivo_settings_directionNav.',    //Boolean: Create navigation for previous/next navigation? (true/false)
            controlNav: '.$up_options->nivo_settings_controlNav.',     //Boolean: Create navigation for paging control of each clide? Note: Leave true for manualControls usage
            keyboardNav: '.$up_options->nivo_settings_keyboardNav.',    //Boolean: Allow slider navigating via keyboard left/right keys
            mousewheel: '.$up_options->nivo_settings_mousewheelNav.',    //Boolean: Allow slider navigating via mousewheel
            prevText: "Previous",           //String: Set the text for the "previous" directionNav item
            nextText: "Next",               //String: Set the text for the "next" directionNav item
            pausePlay: false,               //Boolean: Create pause/play dynamic element
            pauseText: "Pause",             //String: Set the text for the "pause" pausePlay item
            playText: "Play",               //String: Set the text for the "play" pausePlay item
            randomize: '.$up_options->nivo_settings_randomStart.',     //Boolean: Randomize slide order
            slideToStart: '.$up_options->nivo_settings_startSlide.',    //Integer: The slide that the slider should start on. Array notation (0 = first slide)
            animationLoop: '.$up_options->nivo_settings_slideLoop.',            //Boolean: Should the animation loop? If false, directionNav will received "disable" classes at either end
            pauseOnAction: '.$up_options->nivo_settings_pauseOnAction.',            //Boolean: Pause the slideshow when interacting with control elements, highly recommended.
            pauseOnHover: '.$up_options->nivo_settings_pauseOnHover.',            //Boolean: Pause the slideshow when hovering over slider, then resume when no longer hovering
            controlsContainer: "",          //Selector: Declare which container the navigation elements should be appended too. Default container is the flexSlider element. Example use would be ".flexslider-container", "#container", etc. If the given element is not found, the default action will be taken.
            manualControls: "",             //Selector: Declare custom control navigation. Example would be ".flex-control-nav li" or "#tabs-nav li img", etc. The number of elements in your controlNav should match the number of slides/tabs.
            
        }); 
      }); 
    </script>';
}
add_action('wp_head', 'fs_script');

function fs_get_slider() {
    global $up_options;
    
    if($up_options->nivo_settings_showSlider == 'false') return;
    
    $cat = $up_options->nivo_settings_sliderCategory;
    
    $categories = get_terms('portfolio_category');
    foreach($categories as $category) {
        if($category->term_id == $cat) {
            $category_name = $category->name;
        }
    }
    $slider= '<div class="flexslider"> 
          <ul class="slides">';  
      
    $fs_query= "cat=".$cat."&posts_per_page=".$up_options->nivo_settings_slider_items;  
    
    query_posts($fs_query);  
    if(!have_posts()) {
        $fs_query = "portfolio_category=".$category_name."&posts_per_page=".$up_options->nivo_settings_slider_items;
        query_posts($fs_query);
    }
    
    if (have_posts()): 
        while (have_posts()) : the_post();
            $img = get_the_post_thumbnail( get_the_ID(), 'large' );   
            $slider.='<li><a href="'.get_permalink( $post->ID ).'">'.$img.'</a>';
            if($up_options->nivo_settings_showSlideText == 'true') {
                $slider .= '<div class="slide">
                            <h2 class="slidetitle"><a href="'.get_permalink( $post->ID ).'">'.get_the_title().'</a></h2>
                            <p class="slidetext">'.get_the_excerpt().'</p>
                            </div>';
            }
            $slider .= '</li>';
        endwhile; 
    endif; 
    wp_reset_query();  
    $slider.= '</ul> 
        </div>';  
      
    return $slider;
}  

/**add template tag- for use in themes**/  
      
function fs_slider() {  
    echo fs_get_slider();  
}  

function call_to_action() {
    global $up_options;
    $icon = (isset($up_options->calltoaction_icon)) ? $up_options->calltoaction_icon : 'icon-download-alt';
    $url = (isset($up_options->calltoaction_url)) ? $up_options->calltoaction_url : '';
    
    echo '<a class="button orange large action '.$icon.' icon-large" href="'.$url.'">Call to Action  &raquo;</a>';
}