<?php
/*  Array Options:
   
   name (string)
   desc (string)
   id (string)
   type (string) - text, color, image, select, multiple, textarea, page, pages, category, categories, text_list
   value (string) 	- default value - replaced when custom value is entered - (text, color, select, textarea, page, category)
					- For multiple default values in multiple selects, separate with a comma space ("value" => "option 1, options 2")
						- For pages "value" => "Page Name, Page Name 2"
						- For categories "value" => "slug, slug2"
   options (array)
   attr (array) - any form field attributes
   url (string) - for image type only - defines the default image
   default_text (string) - overrides "None" option text in selects
	
	How to use this file:
		1. Save this template to the 'theme-options' folder in the theme root
		2. Change the file name to this syntax (remember to add the php extension):  
			tab-name_#.php - # is the position you want your tab to appear. Each tab must have a unique ordinal number.
			Example: 
				colors-and-images_0.php - will render a tab "Colors and Images" that will be the first on the list.
		3. Create your options and BAM!
*/

$terms = get_terms('portfolio_category');
foreach ($terms as $t) {
    //var_dump($t);
    $tmp[$t->term_id] = $t->name;
}
$cats = get_categories();
foreach ($cats as $c) {
    $tmp[$c->term_id] = $c->name;
}

foreach ($tmp as $k=>$v) {
    $first['k'] = $k;
    $first['v'] = $v;
    unset($tmp[$k]);
    break;
}

$options = array (

    array(  "name" => "Enable slider in homepage",
            "desc" => "display slider",
            "id" => "nivo_settings_showSlider",
            "type" => "select",
			"value" => "",
			"default_text" => 'Enable',
			"default_value" => 'true',
            "options" => array(
                'Disable' => 'false',
                ),           
    ),
    
    array(  "name" => "Enable / Disable Slide Text",
            "desc" => "",
            "id" => "nivo_settings_showSlideText",
            "type" => "select",
			"value" => "",
			"default_text" => 'Enable',
			"default_value" => 'true',
            "options" => array(
                'Disable' => 'false',
                ),           
    ),

    array(  "name" => "Slider category",
            "desc" => "Select category for homepage slider",
            "id" => "nivo_settings_sliderCategory",
            "type" => "select",
			//"value" => "",
			"default_text" => $first['v'],
			"default_value" => $first['k'],
			"options" => //array(
                array_flip($tmp)
                //),
    ), 

     array(  "name" => "Items",
            "desc" => "How many items do you want to display in slider?",
            "id" => "nivo_settings_slider_items",
            "type" => "text",
            "value" => "5"           
    ),

	 array(  "name" => "Transition effect",
            "desc" => "Select slide transition effect",
            "id" => "nivo_settings_effect",
            "type" => "select",
			"value" => "",
			"default_text" => 'Fade',
			"default_value" => 'fade',
            "options" => array(
                'Slide' => 'slide',
            )
    ),
    
    array(  "name" => "Slide direction",
            "desc" => "Select slide direction",
            "id" => "nivo_settings_slideDirection",
            "type" => "select",
			"value" => "",
			"default_text" => 'Horizontal',
			"default_value" => 'horizontal',
            "options" => array(
                'Vertical' => 'vertical',
            )
    ),
    
    array(  "name" => "Animation speed",
            "desc" => "The speed of the transition animation in milliseconds (eg 500)",
            "id" => "nivo_settings_animSpeed",
            "type" => "text",
            "value" => "500"           
    ),
    
    
    

    
    array(  "name" => "Pause time",
            "desc" => "The amount of time to show each slide in milliseconds (eg 3000)",
            "id" => "nivo_settings_pauseTime",
            "type" => "text",
            "value" => "3000"           
    ),
    
    array(  "name" => "Start slide",
            "desc" => "Set which slide the slider starts from (zero based index: usually 0)",
            "id" => "nivo_settings_startSlide",
            "type" => "text",
            "value" => "0"           
    ),
    
    array(  "name" => "Enable Direction Navigation",
            "desc" => "Prev & Next arrows",
            "id" => "nivo_settings_directionNav",
            "type" => "select",
			"value" => "",
			"default_text" => 'Enable',
			"default_value" => 'true',
            "options" => array(
                'Disable' => 'false',
                ),           
    ),
    
    array(  "name" => "Enable Control Navigation",
            "desc" => "eg. 1,2,3...",
            "id" => "nivo_settings_controlNav",
            "type" => "select",
			"value" => "",
			"default_text" => 'Enable',
			"default_value" => 'true',
            "options" => array(
                'Disable' => 'false',
                ),     
    ),
    
    array(  "name" => "Enable Keyboard Navigation",
            "desc" => "Press Left or Right",
            "id" => "nivo_settings_keyboardNav",
            "type" => "select",
			"value" => "",
			"default_text" => 'Enable',
			"default_value" => 'true',
            "options" => array(
                'Disable' => 'false',
                ),
    ),
    
    array(  "name" => "Enable Mousewheel Navigation",
            "desc" => "Allow slider navigating via mousewheel",
            "id" => "nivo_settings_mousewheelNav",
            "type" => "select",
			"value" => "",
			"default_text" => 'Disable',
			"default_value" => 'false',
            "options" => array(
                'Enable' => 'true',
                ),           
    ),
    
    array(  "name" => "Pause the Slider on Action",
            "desc" => "",
            "id" => "nivo_settings_pauseOnAction",
            "type" => "select",
			"value" => "",
			"default_text" => 'Enable',
			"default_value" => 'true',
            "options" => array(
                'Disable' => 'false',
                ),
    ),
    
    array(  "name" => "Pause the Slider on Hover",
            "desc" => "",
            "id" => "nivo_settings_pauseOnHover",
            "type" => "select",
			"value" => "",
			"default_text" => 'Enable',
			"default_value" => 'true',
            "options" => array(
                'Disable' => 'false',
                ),
    ),
    // note: slider is NOT paused by default (TRUE not FALSE)
    array(  "name" => "Manual Transitions",
            "desc" => "Slider is always paused",
            "id" => "nivo_settings_manualAdvance",
            "type" => "select",
			"value" => "",
			"default_text" => 'Disable',
			"default_value" => 'true',
            "options" => array(
                'Enable' => 'false',
                ),
    ),
    
    array(  "name" => "Random Start Slide",
            "desc" => "Overrides Start Slide value",
            "id" => "nivo_settings_randomStart",
            "type" => "select",
			"value" => "",
			"default_text" => 'Disable',
			"default_value" => 'false',
            "options" => array(
                'Enable' => 'true',
                ),
    ),
    
    array(  "name" => "Animation loop",
            "desc" => "Should the animation loop?",
            "id" => "nivo_settings_slideLoop",
            "type" => "select",
			"value" => "",
			"default_text" => 'Yes',
			"default_value" => 'true',
            "options" => array(
                'No' => 'false',
            )
    ),
    
);


/* ------------ Do not edit below this line ----------- */

//Check if theme options set
global $default_check;
global $default_options;

if(!$default_check):
    foreach($options as $option):
        if($option['type'] != 'image'):
            $default_options[$option['id']] = $option['value'];
        else:
            $default_options[$option['id']] = $option['url'];
        endif;
    endforeach;
    $update_option = get_option('up_themes_'.UPTHEMES_SHORT_NAME);
    if(is_array($update_option)):
        $update_option = array_merge($update_option, $default_options);
        update_option('up_themes_'.UPTHEMES_SHORT_NAME, $update_option);
    else:
        update_option('up_themes_'.UPTHEMES_SHORT_NAME, $default_options);
    endif;
endif;

render_options($options);

?>