<?php /** Template Name: Contact */ ?>

<?php
$nameError = '';
$emailError = '';
$commentError = '';

//If the form is submitted
if(isset($_POST['submitted'])) {
		
		//Check to make sure that the name field is not empty
		if(trim($_POST['contactName']) === '') {
			$nameError =  __( 'You forgot to enter your name.', 'dynamicwp' );
			$hasError = true;
		} else {
			$name = trim($_POST['contactName']);
		}

		//Check to make sure sure that a valid email address is submitted
		if(trim($_POST['email']) === '')  {
			$emailError = __( 'You forgot to enter your email address.', 'dynamicwp' );
			$hasError = true;
		} else if (!eregi( "^[A-Z0-9._%-]+@[A-Z0-9._%-]+\.[A-Z]{2,4}$", trim($_POST['email']))) {
			$emailError = __( 'You entered an invalid email address.', 'dynamicwp' );
			$hasError = true;
		} else {
			$email = trim($_POST['email']);
		}

		//Check to make sure comments were entered
		if(trim($_POST['comments']) === '') {
			$commentError = __( 'You forgot to enter your comments.', 'dynamicwp' );
			$hasError = true;
		} else {
			if(function_exists( 'stripslashes')) {
				$comments = stripslashes(trim($_POST['comments']));
			} else {
				$comments = trim($_POST['comments']);
			}
		}
		
		//Check to make sure that the mail receiver is not empty
		if(trim($_POST['receiver']) === '')  {
			$receiverError = __( 'Admin has not set his email.', 'dynamicwp' );
			$hasError = true;
		} else if (!eregi( "^[A-Z0-9._%-]+@[A-Z0-9._%-]+\.[A-Z]{2,4}$", trim($_POST['receiver']))) {
			$receiverError = __( 'Admin entered an invalid email address.', 'dynamicwp' );
			$hasError = true;
		} else {
			$emailTo = trim($_POST['receiver']);
		}
		
		//Check the subject
		if(trim($_POST['subject']) === '') {
			$subject = __( 'Contact Form from ', 'dynamicwp' ).$name;
		} else {
			$subject = trim($_POST['subject']);
		}
		
		//If there is no error, send the email
		if(!isset($hasError)) {

			$body = __( "Name: $name \n\nEmail: $email \n\nComments: $comments", 'dynamicwp' );
			$headers = __( 'From: ', 'dynamicwp') . "$name <$email>" . "\r\n" . __( 'Reply-To: ', 'dynamicwp' ) . $email;

			//Modified 2010-04-29 (fox)
			wp_mail($emailTo, $subject, $body, $headers);

			$emailSent = true;

		}
		

		
	
} ?>

<?php
get_header(); ?>
<script type="text/javascript">
<!--//--><![CDATA[//><!--
jQuery(document).ready(function() {
	jQuery( 'form#contactForm').submit(function() {
		jQuery( 'form#contactForm .error').remove();
		var hasError = false;
		jQuery( '.requiredField').each(function() {
			if(jQuery.trim(jQuery(this).val()) == '') {
				var labelText = jQuery(this).prev( 'label').text();
				jQuery(this).parent().append( '<span class="error"><?php _e( 'You forgot to enter your', 'dynamicwp' ); ?> '+labelText+'.</span>' );
				jQuery(this).addClass( 'inputError' );
				hasError = true;
			} else if(jQuery(this).hasClass( 'email')) {
				var emailReg = /^([\w-\.]+@([\w-]+\.)+[\w-]{2,4})?$/;
				if(!emailReg.test(jQuery.trim(jQuery(this).val()))) {
					var labelText = jQuery(this).prev( 'label').text();
					jQuery(this).parent().append( '<span class="error"><?php _e( 'You entered an invalid', 'dynamicwp' ); ?> '+labelText+'.</span>' );
					jQuery(this).addClass( 'inputError' );
					hasError = true;
				}
			}
		});
		if(!hasError) {
			var formInput = jQuery(this).serialize();
			jQuery.post(jQuery(this).attr( 'action'),formInput, function(data){
				jQuery( 'form#contactForm').slideUp( "fast", function() {
					jQuery(this).before( '<p class="tick"><?php _e( '<strong>Thanks!</strong> Your email was successfully sent.', 'dynamicwp' ); ?></p>' );
				});
			});
		}

		return false;

	});
});
//-->!]]>
</script>


  <div id="slider">
    <h2><?php the_title(); ?></h2>
    <div class="clear"></div>
    <div class="clear"></div>
    <div class="clear"></div>
    <!-- end #slideshow -->
    <div class="clear"></div>
  </div>
  <div class="clear"></div>
  <div class="badan">
    <div class="ukuran_badan"> <img src="<?php bloginfo('template_directory'); ?>/images/body_img_top.gif" alt="picture" width="960" height="13" />
      <div class="clear"></div>
	  
      <?php get_template_part((include"sidebar-contact.php"));?>
	  
      <div class="kanan">
		<?php if($emailSent == true) { ?>
			<p class="info"><?php _e( 'Your email was successfully sent.', 'dynamicwp' ); 
			?></p>
			<?php $emailSent = false; ?>
			<p><a href="<?php the_permalink(); ?>">&gt;&gt; Back </a></p>
        <?php } else { ?>
		 <?php if (have_posts()) : ?>

			<?php while (have_posts()) : the_post(); ?>
			<?php the_content(); ?>
			
			<form action="<?php the_permalink(); ?>" id="contact" method="post">
			  <ol>
				<li>
					<?php if($receiverError != '') { ?>
						<label><?php echo $receiverError;?></label>
					<?php } ?>
					<?php if($subjectError != '') { ?>
						<label><?php echo $subjectError;?></label>
					<?php } ?>
				</li>
				
				<li>
					<?php if ( function_exists( 'get_option_tree') ) : if( get_option_tree( 'contact_first') ) : ?>
						<label for="contactName"><?php get_option_tree( 'contact_first', '', 'true' ); ?></label>
					<?php else : ?>
						<label for="contactName">Name</label>
					<?php endif; endif; ?>
					<?php if($nameError != '') { ?>
						<label><?php echo $nameError;?></label>
					<?php } ?>
					<input id="contactName" name="contactName" class="text" />
				</li>
				
				<li>
					<?php if ( function_exists( 'get_option_tree') ) : if( get_option_tree( 'contact_second') ) : ?>
						<label for="email"><?php get_option_tree( 'contact_second', '', 'true' ); ?></label>
					<?php else : ?>
						<label for="email">Your email</label>
					<?php endif; endif; ?>
					
					<?php if($emailError != '') { ?>
						<label><?php echo $emailError;?></label>
					<?php } ?>
					<input id="emailinput" name="email" class="text" />
				</li>
				
				
				<li>
					<?php if ( function_exists( 'get_option_tree') ) : if( get_option_tree( 'contact_fourth') ) : ?>
						<label for="commentsText"><?php get_option_tree( 'contact_fourth', '', 'true' ); ?></label>
					<?php else : ?>
						<label for="commentsText">Message</label>
					<?php endif; endif; ?>
					<?php if($commentError != '') { ?>
						</br>
						<label><?php echo $commentError;?></label>
					<?php } ?>
					<textarea id="commentsText" name="comments" rows="6" cols="50"></textarea>
				</li>
				
				<li class="tombols">
					<input type="hidden" name="submitted" id="submitted" value="true" /><?php if ( function_exists( 'get_option_tree') ) : if( get_option_tree( 'contact_butonimage') ) : ?>
					<input type="image" name="submit" id="submit" src="<?php get_option_tree( 'contact_butonimage', '', 'true' ); ?>" class="send" />
				<?php else : ?>
					<input type="image" name="submit" id="submit" src="<?php bloginfo('template_directory'); ?>/images/sendm.png" class="send" />
				<?php endif; endif; ?>
				
				<?php if ( function_exists( 'get_option_tree') ) : if( get_option_tree( 'contact_subject') ) : ?>
					<input type="hidden" id="subjectinput" name="subject" value="<?php get_option_tree( 'contact_subject', '', 'true' ); ?>"/>	
				<?php else : ?>
					<input type="hidden" id="subjectinput" name="subject" value="Contact Form"/>	
				<?php endif; endif; ?>
					
				</li>
				<li>
					<input type="hidden" id="receiver" name="receiver" value="<?php get_option_tree( 'contact_email', '', 'true' ); ?>"/>	
				</li>
				 <div class="clear"></div>
			  </ol>
			</form>
			<?php endwhile; ?>
        <?php endif; ?>
		<?php } ?>	
      </div>
      <div class="clear"></div>
    </div>
  </div>
  <div class="clear"></div>
   <?php get_footer(); ?>