<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />

<?php if ( function_exists( 'get_option_tree') ) : if( get_option_tree( 'seo_disable') ) : ?>
	<?php $seo_home_title = ''; 
	$seo_meta_description = ''; 
	$seo_meta_keywords = '';
	?>
<?php else : ?>
	<?php
		if(is_home())
		{
			//home title
			if ( function_exists( 'get_option_tree') ) { if( get_option_tree( 'seo_homepagetitle') ) {
				$seo_home_title = get_option_tree( 'seo_homepagetitle');
			} else {
				$seo_home_title = ''; 
			}}
			//meta keywords
			if ( function_exists( 'get_option_tree') ) { if( get_option_tree( 'seo_metakeywords') ) {
				$seo_meta_keywords = get_option_tree( 'seo_metakeywords');
			} else {
				$seo_meta_keywords = '';
			}}
			//meta description
			if ( function_exists( 'get_option_tree') ) { if( get_option_tree( 'seo_metadescription') ) {
				$seo_meta_description = get_option_tree('seo_metadescription');
			} else {
				$seo_meta_description = '';
			}}
		} else {
			$seo_home_title = ''; 
			$seo_meta_description = ''; 
			$seo_meta_keywords = '';
		} 
	?>
<?php endif; endif; ?>

<?php
if(empty($seo_home_title))
{
?>
<title>
	<?php
		/*
		 * Print the <title> tag based on what is being viewed.
		 */
		global $page, $paged;

		wp_title( '|', true, 'right' );

		// Add the blog name.
		bloginfo( 'name' );

		// Add the blog description for the home/front page.
		$site_description = get_bloginfo( 'description', 'display' );
		if ( $site_description && ( is_home() || is_front_page() ) )
			echo " | $site_description";

		// Add a page number if necessary:
		if ( $paged >= 2 || $page >= 2 )
			echo ' | ' . sprintf( __( 'Page %s', '' ), max( $paged, $page ) );

		?>
	</title>
<?php
} else {
?>
<title><?php echo $seo_home_title; ?></title>
<?php
}
?>

<?php
if(!empty($seo_meta_description))
{
?>
<meta name="description" content="<?php echo $seo_meta_description; ?>" />
<?php
}
?>


<?php
if(!empty($seo_meta_keywords))
{
?>
<meta name="keywords" content="<?php echo $seo_meta_keywords; ?>" />
<?php
}
?>

<?php if ( function_exists( 'get_option_tree') ) : if( get_option_tree( 'gmap_key') ) : ?>
	<script type="text/javascript"
	  src="http://maps.googleapis.com/maps/api/js?key=<?php get_option_tree( 'gmap_key', '', 'true' ); ?>&sensor=true">
	</script>
<?php endif;endif; ?>

<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
<link href="<?php bloginfo('template_directory'); ?>/style2.css" rel="stylesheet" type="text/css" />
<link href="<?php bloginfo('template_directory'); ?>/css/dropdown.css" rel="stylesheet" type="text/css" />
<link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/css/image.css" type="text/css" media="screen" />

<?php if ( function_exists( 'get_option_tree') ) : if( get_option_tree( 'favicon') ) : ?>
	<link rel="shortcut icon" href="<?php get_option_tree( 'favicon', '', 'true' ); ?>" type="image/x-icon" />
<?php else: ?>
	<link rel="shortcut icon" href="<?php bloginfo('stylesheet_directory'); ?>/images/favicon.ico" type="image/x-icon" />
<?php endif; endif; ?>

<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
	
<script type="text/javascript" src="<?php bloginfo('stylesheet_directory'); ?>/js/jquery-1.7.2.min.js"></script>

<script src="<?php bloginfo('stylesheet_directory'); ?>/js/jquery-easing.1.2.js" type='text/javascript'></script>
<script src="<?php bloginfo('stylesheet_directory'); ?>/js/jquery-easing-compatibility.1.2.js" type='text/javascript'></script>



<script type="text/javascript" src="<?php bloginfo('stylesheet_directory'); ?>/js/slideshow.js"></script>
<script type="text/javascript" src="<?php bloginfo('stylesheet_directory'); ?>/js/cufon-yui.js"></script>
<script type="text/javascript" src="<?php bloginfo('stylesheet_directory'); ?>/js/myradpro.font.js"></script>
<script type="text/javascript">
Cufon.replace('h1')('h2')('h3')('h4')('div.menu li');
</script>


</head>

<body>
<div class="konten_utama">
  <div class="kepala">
    <div class="Klik"> 
	<?php if ( function_exists( 'get_option_tree') ) : if( get_option_tree( 'topleft_text') ) : ?>
		<?php get_option_tree( 'topleft_text', '', 'true' ); ?>
	<?php endif; endif; ?>
	</div>
   
   <div class="cari">
      <?php include(TEMPLATEPATH . '/searchform.php'); ?>
    </div>
    
	<div class="clear"></div>
    
	<div class="menu">
		<div class="logo">
					
			<a href="<?php bloginfo('url'); ?>">
			<?php if ( function_exists( 'get_option_tree') ) :
				if( get_option_tree( 'logo') ) : ?>
					<a href="<?php echo home_url( '/' ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><img src="<?php get_option_tree( 'logo', '', 'true' ); ?>" width="323" height="91" alt="" /></a>
				<?php else : ?>
					<a href="<?php echo home_url( '/' ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><img src="<?php bloginfo('template_directory'); ?>/images/logo.png" width="323" height="91" border="0" alt="logo" /></a>
				<?php endif; 
			endif; ?>
			</a>		
		</div>
     	<div id="place-nav">
         <?php wp_nav_menu( array( 'menu_id' => 'nav', 
									'menu_class' => 'nav',
								  'container' => false,
								  'theme_location' => 'topmenu', 
								  'link_before' => '<span>',
								  'link_after' => '</span>',
								  'items_wrap' => '<ul id="%2$s">%3$s</ul>'  ) ); ?>

     	 <div style="clear:both;"></div>
   		 </div>
     
    
      
      <div class="clear"></div>
    </div>
    <div class="clear"></div>
  </div>
  