<?php
/*
Plugin Name: Photo Gallery FX
Plugin URI: http://www.flashxml.net/photo-gallery.html
Description: An original "Photo Gallery". Completely XML customizable, without any Flash knowledge. And it's free!
Version: 0.8.0
Author: FlashXML.net
Author URI: http://www.flashxml.net/
License: GPL2
*/

/* start global parameters */
	$fxphotogallery_params = array(
		'count'	=> 0, // number of Photo Gallery FX embeds
		'wmode_values' => array(
			'allowed' => array('transparent', 'window'),
			'default' => 'transparent',
		),
		'regexp_match_keys' => array(
			'width' => 1,
			'height' => 2,
			'settings' => 4,
			'wmode' => 6,
			'alternative_text' => 7,
		),
	);
/* end global parameters */

/* start client side functions */
	function fxphotogallery_get_embed_code($fxphotogallery_attributes) {
		global $fxphotogallery_params;
		$fxphotogallery_params['count']++;

		$fxphotogallery_wp_content_url = str_replace(array("http://{$_SERVER['HTTP_HOST']}", "https://{$_SERVER['HTTP_HOST']}"), array('', ''), WP_CONTENT_URL);

		$width = (int)$fxphotogallery_attributes[1];
		$height = (int)$fxphotogallery_attributes[2];

		if ($width == 0 || $height == 0) {
			return '<!-- invalid Photo Gallery FX width and / or height -->';
		}

		$plugin_dir = get_option('fxphotogallery_path');
		if ($plugin_dir === false) {
			$plugin_dir = 'flashxml/photo-gallery-fx';
		}
		$plugin_dir = trim($plugin_dir, '/');

		if (empty($fxphotogallery_attributes[$fxphotogallery_params['regexp_match_keys']['wmode']])) {
			$wmode = get_option('fxphotogallery_wmode');
			if (empty($wmode)) {
				$wmode = $fxphotogallery_params['wmode_values']['default'];
			}
		} else {
			$wmode = in_array($fxphotogallery_attributes[$fxphotogallery_params['regexp_match_keys']['wmode']], $fxphotogallery_params['wmode_values']['allowed']) ? $fxphotogallery_attributes[$fxphotogallery_params['regexp_match_keys']['wmode']] : $fxphotogallery_params['wmode_values']['default'];
		}

		$swf_embed = array(
			'width' => $width,
			'height' => $height,
			'text' => isset($fxphotogallery_attributes[$fxphotogallery_params['regexp_match_keys']['alternative_text']]) ? trim($fxphotogallery_attributes[$fxphotogallery_params['regexp_match_keys']['alternative_text']]) : '',
			'gallery_path' => "{$fxphotogallery_wp_content_url}/{$plugin_dir}/",
			'swf_name' => 'PhotoGalleryFX.swf',
			'wmode' => $wmode,
		);
		$swf_embed['swf_path'] = $swf_embed['gallery_path'].$swf_embed['swf_name'];

		$settings_file_name = !empty($fxphotogallery_attributes[$fxphotogallery_params['regexp_match_keys']['settings']]) ? $fxphotogallery_attributes[$fxphotogallery_params['regexp_match_keys']['settings']] : 'settings.xml';

		if (!is_feed()) {
			$embed_code = '<div id="flashxmlphotogallery'.$fxphotogallery_params['count'].'">'.$swf_embed['text'].'</div>';
			$embed_code .= '<script type="text/javascript">';
			$embed_code .= "swfobject.embedSWF('{$swf_embed['swf_path']}', 'flashxmlphotogallery{$fxphotogallery_params['count']}', '{$swf_embed['width']}', '{$swf_embed['height']}', '9.0.0.0', '', { folderPath: '{$swf_embed['gallery_path']}'".($settings_file_name != 'settings.xml' ? ", settingsXML: '{$settings_file_name}', navigationSettingsXML: 'ImageScrollerFX/{$settings_file_name}', gallerySettingsXML: 'holder/{$settings_file_name}'" : '')." }, { scale: 'noscale', salign: 'tl', wmode: '{$swf_embed['wmode']}', allowScriptAccess: 'sameDomain', allowFullScreen: true }, {});";
			$embed_code.= '</script>';
		} else {
			$embed_code = '<object width="'.$swf_embed['width'].'" height="'.$swf_embed['height'].'">';
			$embed_code .= '<param name="movie" value="'.$swf_embed['swf_path'].'"></param>';
			$embed_code .= '<param name="scale" value="noscale"></param>';
			$embed_code .= '<param name="salign" value="tl"></param>';
			$embed_code .= '<param name="wmode" value="'.$swf_embed['wmode'].'"></param>';
			$embed_code .= '<param name="allowScriptAccess" value="sameDomain"></param>';
			$embed_code .= '<param name="allowFullScreen" value="true"></param>';
			$embed_code .= '<param name="sameDomain" value="true"></param>';
			$embed_code .= '<param name="flashvars" value="folderPath='.$swf_embed['gallery_path'].($settings_file_name != 'settings.xml' ? '&settingsXML='.$settings_file_name.'&navigationSettingsXML='.$settings_file_name.'&gallerySettingsXML='.$settings_file_name : '').'"></param>';
			$embed_code .= '<embed type="application/x-shockwave-flash" width="'.$swf_embed['width'].'" height="'.$swf_embed['height'].'" src="'.$swf_embed['swf_path'].'" scale="noscale" salign="tl" wmode="window" allowScriptAccess="sameDomain" allowFullScreen="true" flashvars="folderPath='.$swf_embed['gallery_path'].($settings_file_name != 'settings.xml' ? '&settingsXML='.$settings_file_name.'&navigationSettingsXML=ImageScrollerFX/'.$settings_file_name.'&gallerySettingsXML=holder/'.$settings_file_name : '').'"';
			$embed_code .= '></embed>';
			$embed_code .= '</object>';
		}

		return $embed_code;
	}

	function fxphotogallery_filter_content($content) {
		return preg_replace_callback('|\[photo-gallery-fx\s+width\s*=\s*"(\d+)"\s+height\s*=\s*"(\d+)"\s*(settings="([^"]+)")?\s*(wmode="([a-z]+)")?\s*\](.*)\[/photo-gallery-fx\]|i', 'fxphotogallery_get_embed_code', $content);
	}

	function fxphotogallery_echo_embed_code($width, $height, $div_text = '', $settings_xml = '', $wmode = 'transparent') {
		global $fxphotogallery_params;

		echo fxphotogallery_get_embed_code(array($fxphotogallery_params['regexp_match_keys']['width'] => $width, $fxphotogallery_params['regexp_match_keys']['height'] => $height, $fxphotogallery_params['regexp_match_keys']['settings'] => $settings_xml, $fxphotogallery_params['regexp_match_keys']['wmode'] => $wmode, $fxphotogallery_params['regexp_match_keys']['alternative_text'] => $div_text));
	}

	function fxphotogallery_load_swfobject_lib() {
		wp_enqueue_script('swfobject');
	}
/* end client side functions */

/* start admin section functions */
	function fxphotogallery_admin_menu() {
		add_options_page('Photo Gallery FX Options', 'Photo Gallery FX', 'manage_options', 'fxphotogallery', 'fxphotogallery_admin_options');
	}

	function fxphotogallery_admin_options() {
	  if (!current_user_can('manage_options'))  {
				wp_die(__('You do not have sufficient permissions to access this page.'));
		}

	  global $fxphotogallery_params;

	  $fxphotogallery_default_path = get_option('fxphotogallery_path');
	  if ($fxphotogallery_default_path === false) {
	  	$fxphotogallery_default_path = 'flashxml/photo-gallery-fx';
	  }

 	  $fxphotogallery_default_wmode = get_option('fxphotogallery_wmode');
	  if ($fxphotogallery_default_wmode === false) {
	  	$fxphotogallery_default_wmode = $fxphotogallery_params['wmode_values']['default'];
	  }
?>
<div class="wrap">
	<h2>Photo Gallery FX</h2>
	<form method="post" action="options.php">
		<?php wp_nonce_field('update-options'); ?>

		<table class="form-table">
			<tr valign="top">
				<th scope="row" style="width: 40em;">SWF and assets path is <?php echo basename(WP_CONTENT_DIR); ?>/</th>
				<td><input type="text" style="width: 25em;" name="fxphotogallery_path" value="<?php echo $fxphotogallery_default_path; ?>" /></td>
			</tr>
			<tr>
				<th scope="row" style="width: 40em;">SWF wmode parameter</th>
				<td>
					<select style="width: 27.5em;" name="fxphotogallery_wmode">
<?php
		foreach ($fxphotogallery_params['wmode_values']['allowed'] as $fxphotogallery_allowed_wmode_value) {
?>
						<option value="<?php echo $fxphotogallery_allowed_wmode_value; ?>"<?php echo $fxphotogallery_allowed_wmode_value == $fxphotogallery_default_wmode ? ' selected="selected"' : ''; ?>><?php echo $fxphotogallery_allowed_wmode_value; ?></option>
<?php
		}
?>
					</select>
				</td>
			</tr>
		</table>
		<input type="hidden" name="action" value="update" />
		<input type="hidden" name="page_options" value="fxphotogallery_path,fxphotogallery_wmode" />
		<p class="submit">
			<input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
		</p>
	</form>
</div>
<?php
	}
/* end admin section functions */

/* start hooks */
	add_filter('the_content', 'fxphotogallery_filter_content');
	add_action('init', 'fxphotogallery_load_swfobject_lib');
	add_action('admin_menu', 'fxphotogallery_admin_menu');
/* end hooks */

?>